Page MenuHomePhabricator

AArch64: Fix XSeqPairs/WSeqPairs spilling
ClosedPublic

Authored by MatzeB on Oct 1 2018, 6:59 PM.

Details

Summary
  • Fix spill/reloads of XSeqPairs failing with vregs (only physregs worked correctly)
  • Fix missing spill/reload code for WSeqPairs class

rdar://44925344 (at least somewhat related)

Diff Detail

Repository
rL LLVM

Event Timeline

MatzeB created this revision.Oct 1 2018, 6:59 PM
ab accepted this revision.Oct 3 2018, 4:22 PM
ab added a subscriber: ab.

LGTM, ty!

This revision is now accepted and ready to land.Oct 3 2018, 4:22 PM
Closed by commit rL343799: AArch64: Fix XSeqPairs/WSeqPairs problems (authored by matze, committed by ). · Explain WhyOct 4 2018, 10:04 AM
This revision was automatically updated to reflect the committed changes.